Product Support IWS (formerly TWS) – IBM Workload Scheduler

  1. Home
  2. -
  3. Download
  4. -
  5. Product Support IWS (formerly TWS) – IBM Workload Scheduler

IWS 10.1

Product Upgrade for IWS 10.1
ProcMan z/OS Modules for IWS 9.5 are basically working, but we recommend to use the latest ones:

TWZFLOA – New load modules for z/OS, 2022-04-11.

Download here.

SmartJCL No fix needed for variable substitution.

For showing correct IWS version in batch programs, please install fix 2022-04-08 (*K modules) or later.
The z/OS load modules for IWSz 9.5 (*J modules) are working, but show the incorrect IWS version in SYSPRINT.

The fix can be downloaded here.

IWS/Audit Install Version 7.7 for full support
IWS/BatchAD Version 4.2 (Module “J”) works if new IWS elements are not modified.

We are preparing a new Version (Module “K”) for full support.

IWS/BatchCP Version 3.4 (Module “J”) works if new IWS elements are not modified.

We are preparing a new Version (Module “K”) for full support.

IWS/Graph Please install Update April 2022 of version 6.1 or 6.2 host and PC client 6.2 for full support.
IWS/WebAdmin ds Please install Version 4.2 FP04
IWS/WebAdmin z/OS z/OS Modules for IWS 10.1 are basically working, but we recommend to use the latest ones:

TWZFLOA – New load modules for z/OS, 2022-04-11.

The fix can be downloaded here.

XINFO For all maintained XINFO versions:
For showing the correct IWS version in batch programs, please install fix 2022-03-24 or later for the IWSz scanner (*K modules).
The z/OS load modules for IWSz 9.5 (*J modules) are working, but show the incorrect IWS version in SYSPRINT. Fix can be downloaded here.

 

 

IWS 9.5

Product Upgrade for IWS 9.5
ProcMan Version 4.0.3 will support it (planned in May 2019)
SmartJCL No fix needed for variable substitution. For reading jobnames from IWS AD, please install fix 2019-02-02 or later. The fix can be downloaded here.
IWS/Audit (TWS/Audit) Install Version 7.7 for full support
IWS/BatchAD (TWS/BatchAD) Install Version 4.2 for full support ( available end of May 2019)
IWS/BatchCP (TWS/BatchCP) For IWS 9.5 install Version 3.4 for full support
IWS/Graph (TWS/Graph) Please install Update April 2022 of version 6.1 or 6.2 host and PC client 6.2 for full support.
IWS/WebAdmin ds (TWS/WebAdmin ds) Support is planned for September 2019
IWS/WebAdmin z/OS (TWS/WebAdmin z/OS) z/OS Modules for IWS 9.5 are basically working, but we recommend to use the latest ones:

TWZFLOA – New load modules for z/OS, 2022-04-11.

The fix can be downloaded here.

XINFO For all maintained XINFO versions:
Please install fix 2022-03-24 or later for the IWSz scanner to tolerate IWS 9.5.

 

IWS 9.3 SPE

Product Upgrade for IWS 9.3 SPE
ProcMan Version 3.0.24 will support it like WebAdmin FP07
SmartJCL No fix needed for variable substitution
For reading jobnames from IWS AD, please install latest fix (May 2017)
IWS/Audit (TWS/Audit) Install Version 7.5 for full support
IWS/BatchAD (TWS/BatchAD) Install Version 4.1 for full support
IWS/BatchCP (TWS/BatchCP) Old Version works if new IWS (TWS) elements are not modified.
IWS/Graph (TWS/Graph) Please install version 6.0 host and PC client for full support.
IWS/WebAdmin z/OS (TWS/WebAdmin) Please install new FP07 (host modules and Windows server)
AD and CP Synchronization works with new elements
AD Dialog and Netplan works, too
CP Dialog works, but does not yet support new elements (under construction)
XINFO Please install fix for host modules
New fields (NOP/MH) available in next release 4.1 (plannned May 2018)
New dependencies are loaded into database and PC Client shows it.

 

IWS 9.3

Product Upgrade for IWS 9.3
ProcMan See TWS/WebAdmin z/OS
SmartJCL Full support with Release 3.2 and fix level November 2015
Fixpacks are also available for older releases, November 2015
TWS/Audit Support with release 7.4, July 2015
TWS/BatchAD Supported with TWS/BatchAD 4.0
TWS/BatchCP Supported with TWS/BatchCP 3.3
TWS/Graph Support with fix 2015-12-30 or later
TWS/WebAdmin ds Available with TWS/WebAdmin 3.2 FP02
TWS/WebAdmin z/OS Support available with release 3.2 FP03 September 2015
XINFO Tolerate fixpacks are available for 3.7 and older releases since 21. June 2015
Full support available with XINFO 3.8, May 2016

 

TWS 9.2

Product Upgrade for TWS 9.2
SmartJCL Full support with Release 3.2 and fix level July 2014,
Fixpacks are also available for older releases, July 2014
TWS/Audit Full support: Release 7.3, April 2014
TWS/BatchAD Full support with Release 3.9, July 2014
TWS/BatchCP Support with Release 3.3, September 2014
TWS/Graph Support with fix 2014-04-03 or later
TWS/WebAdmin ds Release 3.1.7, June 2014
TWS/WebAdmin z/OS Support available with release 3.1 FP05, June 2014
XINFO Full support is available with XINFO 3.7, July 2014
Fixpacks are also available for older releases, May 2014

 

TWS 9.1

Product Upgrade for TWS 9.1
SmartJCL Full support with Release 3.2, February 2014
TWS/Audit Full support: Release 7.2, November 2013
TWS/BatchAD Full support with Release 3.8, February 2014
TWS/BatchCP Support with Release 3.2, March 2014
TWS/Graph Tolerate (can read) TWS 9.1: October 2013
TWS/WebAdmin ds Full support: Release 3.1.6, November 2013
TWS/WebAdmin z/OS Tolerate (can read) available with release 3.0 FP01, November 2013
Full support available with release 3.1, February 2014
XINFO Full support is available with XINFO 3.7, July 2014
Fixpacks are also available for older releases, October 2013

 

TWS 8.6

Product Upgrade for TWS 8.6
SmartJCL Available with SmartJCL 3.1, GA 2012-01-17
TWS/Audit Full support is available with TWS/Audit 6.4, GA 2012-01-10
TWS/BatchAD Full support is available with TWS/BatchAD 3.7, GA 2011-12-21
TWS/BatchCP Support is available with TWS/BatchCP 3.1, GA 2012-01-16
TWS/Graph Full support is available with TWS/Graph 5.4, GA 2011-10-01.
Fixpacks for TWS/Graph 5.3 are available now, see HOTFIX area.
TWS/Graph DS see TWS 8.5
TWS/WebAdmin ds Available with TWS/WebAdmin 3.1 FP2, GA 2012-04-30.
TWS/WebAdmin z/OS Available with TWS/WebAdmin z/OS 2.1, GA 2012-04-16
XINFO Full support is available with XINFO 3.6, GA 2012-05-29
Fixpacks are also available for older releases, see hotfix area

 

TWS 8.5.1

Product Upgrade for TWS 8.5.1
SmartJCL see TWS 8.5
TWS/Audit new version 6.1 is needed. GA: 2010-02-02
TWS/BatchAD support included with V3R6M01.
TWS/BatchCP support included with V2R3
TWS/Graph see TWS 8.5
TWS/Graph ds see TWS 8.5
TWS/WebAdmin support included with V3R0
XINFO Full support is available with XINFO 3.5
Fixpacks are also available for older releases, see hotfix area

 

TWS 8.5

Product Upgrade for TWS 8.5
SmartJCL Available with SmartJCL 3.0, GA 2009-08-01
TWS/Audit Available with TWS/Audit 6.0, GA 2009-09-01
TWS/BatchAD support included with V3R5
TWS/BatchCP support included with V2R2
TWS/Graph Available with TWS/Graph 5.3, GA 2009-08-01. Fixpacks are also available for older releases, see HOTFIX area
TWS/Graph ds TWSCUNL supports 8.4 since build 130, see HOTFIX area
TWS/WebAdmin support included with V3R0
XINFO support included with all V3R4 packages
fixpacks are also available for older releases, see hotfix area

 

TWS 8.4

Product Upgrade for TWS 8.4
TWS/Graph ds TWSCUNL supports 8.4 since build 100, see HOTFIX area
TWS/WebAdmin support included with V3R0

Please note: TWS 8.4 is only available for TWS ds, therefore no z/OS program updates are available.

Interested in finding out more?